@import "alert.css";
@import "form.css";
@import "tripTypes.css";
@import "photogalleryHighlight.css";

@tailwind base;
@tailwind components;
@tailwind utilities;


.mv-header {
    @apply container max-w-screen-xl mx-auto px-6 md:px-12 xl:px-24
}

.mv-container {
    @apply container max-w-screen-xl mx-auto px-6 py-6 md:px-12 md:py-6 xl:px-24 xl:py-12
}

.mv-table tbody tr:nth-child(even) {
    @apply bg-gray-100
}

.mv-table tbody tr:hover {
    @apply bg-gray-200
}

input.form-input {
    @apply block
    w-full
    px-3
    py-1.5
    text-base
    font-normal
    text-gray-700
    bg-white bg-clip-padding
    focus:ring-0
    border border-solid border-gray-300
    transition
    ease-in-out
    m-0
    focus-visible:outline-none
    focus:text-gray-700 focus:bg-white focus:outline-none
}

input[type="date"].form-input {
    @apply w-[200px]
}

.form-submit {
    @apply inline-block px-2.5 py-4 border border-solid
}

.btn-submit {
    @apply px-4 py-2 inline-block text-white transition-colors duration-500 mb-1 bg-mvonline hover:bg-mvonline-lighter border border-[#ccc] text-white
}

#tripTypeBox .tripType-item.active {
    @apply border hover:text-slate-300 text-slate-100 bg-mvonline-lighter
}
